System.ServiceModel 4.0.0.0

Implement the interface to create a formatter extension that controls the serialization of parameters into a message and the deserialization from a message into parameters in a service application. To insert the custom formatter into the service application, assign the object to the property using a behavior.

Defines methods that deserialize request messages and serialize response messages in a service application.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Deserializes a message into an array of parameters.

  The incoming message. The objects that are passed to the operation as parameters.
- Method
  4.0.0.0
  System.ServiceModel.Channels.Message `` `` `` To be added. To be added.

  Serializes a reply message from a specified message version, array of parameters, and a return value.

  The serialized reply message.

  The out parameters. The return value.